%define upstream_name    ORLite
%define upstream_version 1.98

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Extremely light weight SQLite-specific ORM  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz
# Update tests to work for SQLite 3.15 and later CPAN RT#118460
Patch0:         ORLite-1.98-sqlite-vacuum.patch
# Update tests to work for SQLite 3.38 and later CPAN RT#140748
Patch1:         ORLite-1.98-sqlite-case-insensitive.patch

BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(DBI) >= 1.607.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Remove) >= 1.400.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::Deep) >= 0.470.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.60.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Extremely light weight SQLite-specific ORM  

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Nov 23 2022 tv <tv> 1.980.0-14.mga9
+ Revision: 1910410
- BR perl(Test::Deep)
- Update tests to work for SQLite 3.38 and later

* Mon Mar 21 2022 umeabot <umeabot> 1.980.0-13.mga9
+ Revision: 1809977
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.980.0-12.mga8
+ Revision: 1505854
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 tv <tv> 1.980.0-11.mga7
+ Revision: 1285486
- Update tests to work for SQLite 3.15 and later (rhbz#1413027)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.980.0-10.mga7
+ Revision: 1166093
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.980.0-9.mga7
+ Revision: 1160504
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.980.0-8.mga6
+ Revision: 1031578
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.980.0-7.mga6
+ Revision: 942740
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.980.0-6.mga5
+ Revision: 741891
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.980.0-5.mga5
+ Revision: 732438
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.980.0-4.mga5
+ Revision: 685769
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.980.0-3.mga4
+ Revision: 513631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.980.0-2.mga3
+ Revision: 371056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.980.0-1.mga3
+ Revision: 301309
- update to 1.98

* Tue Jun 05 2012 jquelin <jquelin> 1.970.0-1.mga3
+ Revision: 255262
- update to 1.97

* Mon Mar 05 2012 jquelin <jquelin> 1.960.0-1.mga2
+ Revision: 218783
- update to 1.96

* Thu Feb 23 2012 jquelin <jquelin> 1.910.0-1.mga2
+ Revision: 213128
- update to 1.91

* Mon Dec 12 2011 jquelin <jquelin> 1.510.0-1.mga2
+ Revision: 180955
- update to 1.51

* Wed Jun 15 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 107221
- update to 1.50

* Tue Jan 25 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 38778
- update to 1.48

* Fri Jan 21 2011 jquelin <jquelin> 1.450.0-1.mga1
+ Revision: 28703
- mageia rebuild
- imported package perl-ORLite

